> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refund Warranty

> This endpoint processes a refund for a warranty claim.

### Body

<ParamField body="warranty_id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ParamField>

<ParamField body="refund_amount" type="number">
  The amount to refund for the warranty claim
</ParamField>

<ParamField body="refund_reason" type="string">
  The reason for the warranty refund
</ParamField>

<ParamField body="refund_method" type="string">
  The method of refund (e.g., "credit\_card", "store\_credit", "check")
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="refund_id" type="string">
  The unique identifier for the refund transaction
</ResponseField>

<ResponseField name="refund_amount" type="number">
  The amount refunded
</ResponseField>

<ResponseField name="refund_status" type="string">
  The status of the refund (e.g., "pending", "completed", "failed")
</ResponseField>

<ResponseField name="refund_date" type="string">
  The date when the refund was processed
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. true if successful, false if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/warranties/:id/refund' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
      "refund_amount": 299.99,
      "refund_reason": "Product defect covered under warranty",
      "refund_method": "credit_card"
  }'
  ```

  ```graphQL GraphQL theme={null}
        mutation warrantyRefundMutation {
          warrantyRefund(
            id: "${warrantyId}",
            refundAmount: ${refundAmount},
            refundReason: "${refundReason}",
            refundMethod: "${refundMethod}"
          ) {
            warranty {
              id,
              status,
              refund_id,
              refund_amount,
              refund_status
            }
            userErrors {
              field
              message
            }
          }
        }
      `;
  ```

  ```js Node.js theme={null}
  const warranties = await stateset.warranties.refund({
    id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    refund_amount: 299.99,
    refund_reason: 'Product defect covered under warranty',
    refund_method: 'credit_card'
  });
  ```

  ```python Python theme={null}
  warranties = stateset.warranties.refund({
    'id': '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    'refund_amount': 299.99,
    'refund_reason': 'Product defect covered under warranty',
    'refund_method': 'credit_card'
  })
  ```

  ```ruby Ruby theme={null}
  warranties = Stateset::Warranty.refund({
    id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    refund_amount: 299.99,
    refund_reason: 'Product defect covered under warranty',
    refund_method: 'credit_card'
  })
  ```

  ```go Go theme={null}
  warranties, err := stateset.Warranties.refund({
    ID: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    RefundAmount: 299.99,
    RefundReason: 'Product defect covered under warranty',
    RefundMethod: 'credit_card'
  })
  ```

  ```java Java theme={null}
  Warranty warranties = stateset.Warranties.refund({
    id: '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    refundAmount: 299.99,
    refundReason: 'Product defect covered under warranty',
    refundMethod: 'credit_card'
  });
  ```

  ```php PHP theme={null}
  $warranties = $stateset->warranties->refund([
    'id' => '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    'refund_amount' => 299.99,
    'refund_reason' => 'Product defect covered under warranty',
    'refund_method' => 'credit_card'
  ]);
  ```

  ```csharp C# theme={null}
  var warranties = await stateset.Warranties.Refund(new {
    Id = '0901f083-aa1c-43c5-af5c-0a9d2fc64e30',
    RefundAmount = 299.99,
    RefundReason = 'Product defect covered under warranty',
    RefundMethod = 'credit_card'
  });
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
    "object": "warranty",
    "refunded": true,
    "refund_id": "ref_abc123xyz",
    "refund_amount": 299.99,
    "refund_status": "completed",
    "refund_date": "2024-01-15T10:30:00Z",
    "refund_reason": "Product defect covered under warranty",
    "refund_method": "credit_card"
  }
  ```
</ResponseExample>
